<?PHP
session_start();
require '../include/functions.php';
$_FORUM = IniLoad('../data/forum.ini');
$_ADMINS = IniLoad('../data/user/Admins.grp.ini');
if (!file_Exists('../styles/'.$_FORUM['settings_design_style'].'/text.css'))
{
	$_FORUM['settings_design_style'] = "default";
}

// Sprachen laden
if ($_POST['lang'] != "") $lang = $_POST['lang'];
if ($lang == "") $lang="deutsch.php";
$i = 0;
$lang_list = LoadFileList("../language/",".php");
$lang_array = array();
$j = 0;
for ($i = 0; $i < count($lang_list); $i++)
{
	include("../language/".$lang_list[$i]);
	if ($_TEXT['AP_LANGUAGE_NAME'] != '')
	{
		$lang_array[$j] = $_TEXT;
		$lang_array[$j]['filename'] = $lang_list[$i];		
		if ($lang == $lang_list[$i]) $lang_id = $j;
		$j++;
	}
}


// Logout
if (($_POST['submitx'] == "logout") || ($_GET['submitx'] == "logout"))
{
		$_SESSION['ap_name'] = "";
		unset($_SESSION['ap_name']);
}

// Header
echo '
	<html>
	<head>
	     <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	     <meta name="Author" content="Constantin  Fahl Web Service - cfws.de">
	     <meta name="Keywords" CONTENT="">
	     <meta name="Description" CONTENT="">
	     <TITLE>'.$lang_array[$lang_id]['AP'].'</TITLE>
     	     <link rel=stylesheet type="text/css" href="../styles/'.$_FORUM['settings_design_style'].'/text.css">
	</HEAD>
';

// Login
if (($_POST['submitx']=="Login") && (val_user($_POST['ap_name'], $_POST['ap_passwd'], '../')) && (IsInGroup($_ADMINS['members'], $_POST['ap_name'])))
{
	$_SESSION['ap_name'] = $_POST['ap_name'];
	$_SESSION['lang'] = $_POST['lang'];
	
	echo '
		<frameset framespacing="0" border="false" frameborder="0"  rows="24,*">
			<frame name="nav_top" src="nav_top.php" scrolling=no>
			<frameset framespacing="0" border="false" frameborder="0"  cols="200,*">
				<frame name="nav" src="nav.php" scrolling=no>
				<frame name="main" src="allgem_einst.php">
			</frameset>
		</frameset>
		';

}
else if (($_GET['x'] == 'login') && (IsInGroup($_ADMINS['members'], $_SESSION['Benutzername'])))
{
	$_SESSION['ap_name'] = $_SESSION['Benutzername'];
	$_SESSION['lang'] = $_FORUM['settings_forum_language'];
	
	echo '
		<frameset framespacing="0" border="false" frameborder="0"  rows="24,*">
			<frame name="nav_top" src="nav_top.php" scrolling=no>
			<frameset framespacing="0" border="false" frameborder="0"  cols="200,*">
				<frame name="nav" src="nav.php" scrolling=no>
				<frame name="main" src="allgem_einst.php">
			</frameset>
		</frameset>
		';
}
else
{
?>

<script language=Javascript>

var DHTML = 0, DOM = 0, MS = 0, NS = 0, OP = 0;

function DHTML_init() {

 if (window.opera) {
     OP = 1;
 }
 if(document.getElementById) {
   DHTML = 1;
   DOM = 1;
 }
 if(document.all && !OP) {
   DHTML = 1;
   MS = 1;
 }
if(window.netscape && window.screen && !DOM && !OP) {
   DHTML = 1;
   NS = 1;
 }
}

function getElem(p1,p2,p3) {
 var Elem;
 if(DOM) {
   if(p1.toLowerCase()=="id") {
     if (typeof document.getElementById(p2) == "object")
     Elem = document.getElementById(p2);
     else Elem = void(0);
     return(Elem);
   }
   else if(p1.toLowerCase()=="name") {
     if (typeof document.getElementsByName(p2) == "object")
     Elem = document.getElementsByName(p2)[p3];
     else Elem = void(0);
     return(Elem);
   }
   else if(p1.toLowerCase()=="tagname") {
     if (typeof document.getElementsByTagName(p2) == "object" || (OP && typeof document.getElementsByTagName(p2) == "function"))
     Elem = document.getElementsByTagName(p2)[p3];
     else Elem = void(0);
     return(Elem);
   }
   else return void(0);
 }
 else if(MS) {
   if(p1.toLowerCase()=="id") {
     if (typeof document.all[p2] == "object")
     Elem = document.all[p2];
     else Elem = void(0);
     return(Elem);
   }
   else if(p1.toLowerCase()=="tagname") {
     if (typeof document.all.tags(p2) == "object")
     Elem = document.all.tags(p2)[p3];
     else Elem = void(0);
     return(Elem);
   }
   else if(p1.toLowerCase()=="name") {
     if (typeof document[p2] == "object")
     Elem = document[p2];
     else Elem = void(0);
     return(Elem);
   }
   else return void(0);
 }
 else if(NS) {
   if(p1.toLowerCase()=="id" || p1.toLowerCase()=="name") {
   if (typeof document[p2] == "object")
     Elem = document[p2];
     else Elem = void(0);
     return(Elem);
   }
   else if(p1.toLowerCase()=="index") {
    if (typeof document.layers[p2] == "object")
     Elem = document.layers[p2];
    else Elem = void(0);
     return(Elem);
   }
   else return void(0);
 }
}

function getCont(p1,p2,p3) {
   var Cont;
   if(DOM && getElem(p1,p2,p3) && getElem(p1,p2,p3).firstChild) {
     if(getElem(p1,p2,p3).firstChild.nodeType == 3)
       Cont = getElem(p1,p2,p3).firstChild.nodeValue;
     else
       Cont = "";
     return(Cont);
   }
   else if(MS && getElem(p1,p2,p3)) {
     Cont = getElem(p1,p2,p3).innerText;
     return(Cont);
   }
   else return void(0);
}

function getAttr(p1,p2,p3,p4) {
   var Attr;
   if((DOM || MS) && getElem(p1,p2,p3)) {
     Attr = getElem(p1,p2,p3).getAttribute(p4);
     return(Attr);
   }
   else if (NS && getElem(p1,p2)) {
       if (typeof getElem(p1,p2)[p3] == "object")
        Attr=getElem(p1,p2)[p3][p4]
       else
        Attr=getElem(p1,p2)[p4]
         return Attr;
       }
   else return void(0);
}

function setCont(p1,p2,p3,p4) {
   if(DOM && getElem(p1,p2,p3) && getElem(p1,p2,p3).firstChild)
     getElem(p1,p2,p3).firstChild.nodeValue = p4;
   else if(MS && getElem(p1,p2,p3))
     getElem(p1,p2,p3).innerText = p4;
   else if(NS && getElem(p1,p2,p3)) {
     getElem(p1,p2,p3).document.open();
     getElem(p1,p2,p3).document.write(p4);
     getElem(p1,p2,p3).document.close();
   }
}

DHTML_init();

function ChangeLang()
{

var Submit = new Array(
<?PHP
for ($i=0; $i<count($lang_array); $i++)
{
  if ($i != 0) echo ", ";
  echo "\"".$lang_array[$i]['LOGIN_LOGIN']."\"";
}
?>
);

var tx1 = new Array(
<?PHP
for ($i=0; $i<count($lang_array); $i++)
{
  if ($i != 0) echo ", ";
  echo "\"".$lang_array[$i]['LOGIN_USERNAME']."\"";
}
?>
);

var tx2 = new Array(
<?PHP
for ($i=0; $i<count($lang_array); $i++)
{
  if ($i != 0) echo ", ";
  echo "\"".$lang_array[$i]['LOGIN_PASSWORD']."\"";
}
?>
);

var tx3 = new Array(
<?PHP
for ($i=0; $i<count($lang_array); $i++)
{
  if ($i != 0) echo ", ";
  echo "\"".$lang_array[$i]['AP_LANGUAGE']."\"";
}
?>
);

var tx5 = new Array(
<?PHP
for ($i=0; $i<count($lang_array); $i++)
{
  if ($i != 0) echo ", ";
  echo "\"".$lang_array[$i]['AP_INST_LOGIN']."\"";
}
?>
);

document.login.submit.value = Submit[document.login.lang.selectedIndex];

setCont("id","tx1",null,tx1[document.login.lang.selectedIndex]+':');
setCont("id","tx2",null,tx2[document.login.lang.selectedIndex]+':');
setCont("id","tx3",null,tx3[document.login.lang.selectedIndex]+':');
setCont("id","tx5",null,tx5[document.login.lang.selectedIndex]);
}
</script>

<body onLoad="document.login.ap_name.focus();">

	
	<table border=0 width=100% height=100%><tr><td width=100% height=100%>
	
	<center><table valign=center style="width:300px;" cellspacing=0 cellpadding=0 border=0 class=main>
<?PHP

	echo '
		<tr><td class=oben>'.$lang_array[$lang_id]['AP'].'</td></tr>
		<tr><td class=g>
		<table width=100% border=0 cellspacing=0 cellpadding=5>
		<form action="index.php" method="post" name="login">
		<input type=hidden name=submitx value=Login>
	';

if ($_POST['submitx']=="Login") 
	echo '	<tr><td colspan=2><center>'.$lang_array[$lang_id]['ERROR_WRONG_PASSWORD'].'</center></td></tr>';
?>
		<tr><td width=35%><div id=tx1><?PHP echo $lang_array[$lang_id]['LOGIN_USERNAME']; ?>:</div></td>
		<td width=65%><INPUT TYPE="TEXT" NAME="ap_name" class=txt SIZE="20" MAXLENGTH="30" value="<?PHP echo $_POST['ap_name']; ?>"></td></tr>
		<tr><td><div id=tx2><?PHP echo $lang_array[$lang_id]['LOGIN_PASSWORD']; ?>:</div></td>
		<td><INPUT TYPE="password" NAME="ap_passwd" class=txt SIZE="20" MAXLENGTH="100"></td></tr>
		<tr><td><div id=tx3><?PHP echo $lang_array[$lang_id]['AP_LANGUAGE']; ?>:</div></td>
		<td><select NAME="lang" class=txt onChange="ChangeLang();">
			<?PHP
			for ($i=0; $i<count($lang_array); $i++)
			{
				echo "<option value=".$lang_array[$i]['filename'];
				if ($i == $lang_id) echo " selected";
				echo ">".$lang_array[$i]['AP_LANGUAGE_NAME']."</option>";
			}
			?>
		</td></tr>
		<tr><td colspan=2><center><INPUT TYPE="SUBMIT" class=btn NAME="submit" VALUE="<?PHP echo $lang_array[$lang_id]['LOGIN_LOGIN']; ?>"></td></tr>
		</form>
		</td></tr></table>
	</td></tr></table></center>
	</td></tr></table>
<?PHP
}
?>
